## org.eclipse.datatools.connectivity.ui.wizards
Class ConnectionProfileSummaryPage

    java.lang.Object
      SummaryWizardPage
          org.eclipse.datatools.connectivity.ui.wizards.ConnectionProfileSummaryPage

    public class ConnectionProfileSummaryPage

extends SummaryWizardPage

Summary Page + Test Connection

Author:
  shongxum

Constructor Summary
`ConnectionProfileSummaryPage(ISummaryDataSource source)`

Method Summary
`void` `createControl(Composite parent)`
`IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileSummaryPage

    public ConnectionProfileSummaryPage(ISummaryDataSource source)

Parameters:
  `source` -

Method Detail

### createControl

    public void createControl(Composite parent)

### getContext

    public IContext getContext(java.lang.Object target)

### getContextChangeMask

    public int getContextChangeMask()

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.